assert = require('assert')
require('aws-sdk').config.update({
  region: 'us-east-1'
})

var Queue = require('../')
var ok = require('okay')

var queuePrefix = 'sqs-test'

var getName = function() {
  return queuePrefix + Date.now() + (~~(Math.random() * 1000))
}

module.exports = {
  getName: getName,
  queuePrefix: queuePrefix,
  describe: function(name, tests) {
    describe(name, function() {
      before(function(done) {
        var self = this
        Queue.create(getName(), ok(done, function(queue) {
          self.queue = queue
          done()
        }))
      })

      tests()

      after(function(done) {
        this.queue.destroy(done)
      })
    })
  }
}
