var ok = require('okay')

require('./helper').describe('push and pop many', function() {
  var messages = [
    'hi mom',
    {name: 'brian'},
    [{name: 'aaron'}, {name: 'shelley'}]
  ]

  it('pushes', function(done) {
    this.queue.push(messages, ok(function(res) {
      assert.equal(res.success.length, 3)
      assert.equal(res.failure, 0)
      done()
    }))
  })

  for(var i = 0; i < messages.length; i++) {
    it('pops ' + (i+1), function(done) {
      this.queue.pop(ok(done, function(res) {
        var len = messages.length
        messages = messages.filter(function(msg) {
          return JSON.stringify(msg) != JSON.stringify(res.body)
        })
        assert.equal(messages.length, len - 1, 'did not find message in original messages')
        done()
      }))
    })
  }
})
